<div class="footer-new-sec">
    <div class="container-fluid">
        <div class="row align-items-center">
            <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12 left-side">
                <div class="wrap-about-text">
                    <h2>Newsletter</h2>
                    <p>Sign up for our newsletter & get exclusive offers and invites!</p>
                    <form>
                        <label>Email (required)</label>
                        <input type="email" placeholder="e.g. email@example.com" />
                        <button>Submit</button>
                    </form>
                </div>
            </div>
            <div class="col-xxl-6 col-xl-6 col-lg-6 col-md-6 col-sm-12 col-12 right-side">
                <iframe
                    src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3132.8483420051593!2d-122.07147502409359!3d38.25982327186711!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x8085141d86f85121%3A0xef883a13cd40ba2f!2sFavela&#39;s%20Fusion!5e0!3m2!1sen!2sus!4v1730786227843!5m2!1sen!2sus"
                    width="100%"
                    height="650"
                    style="border: 0;"
                    allowfullscreen=""
                    loading="lazy"
                    referrerpolicy="no-referrer-when-downgrade"
                ></iframe>
            </div>
        </div>
    </div>
</div>

<section class="common-sec footer-section">
    <div class="container-md">
        <div class="row">
            <div class="col-xxl-4 col-xl-4 col-lg-4 col-md-4 col-sm-12 col-12 footer-address">
                <h3>Location</h3>
                <p>
                    1500 Oliver Rd,<br />
                    Fairfield, CA 94534
                </p>
            </div>

            <div class="col-xxl-4 col-xl-4 col-lg-4 col-md-4 col-sm-12 col-12 footer-hours">
                <h3>Hours</h3>
                <p>Monday: 11:00 AM – 8:30 PM</p>
                <p>Tuesday, Wednesday and Thursday: 11:00 AM - 9:00 PM</p>
                <p>Friday and Saturday: 11:00 AM - 9:30 PM</p>
                <p>Sunday: Closed</p>
            </div>
            <div class="col-xxl-4 col-xl-4 col-lg-4 col-md-4 col-sm-12 col-12 footer-email">
                <h3>Find us on...</h3>
                <a href="https://www.facebook.com/FavelasFusionFairfield"><i class="fa fa-facebook"></i></a>
                <a href="https://www.instagram.com/explore/locations/2048579/favelas-fusion/"><i class="fa fa-instagram"></i></a>
                <h3>Contact us</h3>
                <p><b>Phone: </b> <a href="tel:7074218484"> (707) 421-8484</a></p>
            </div>
        </div>
    </div>
</section>

<section class="common-sec copyright-section">
    <div class="container-md">
        <div class="row align-items-center">
            <div class="col-xxl-10 col-xl-10 col-lg-10 col-md-10 col-sm-12 col-12 text-left accessibility-txt">
                <p>Copyright © 2024 Favela's Fusion | All Rights Reserved</p>
            </div>
            <div class="col-xxl-2 col-xl-2 col-lg-2 col-md-2 col-sm-12 col-12 text-end ww-logo">
                <a href="https://www.warriorwebmasters.com/" target="_blank"><img src="https://wwdemosite.com/Buds-Burger-Vallejo/assets/new/images/Logo.svg" class="img-fluid" /></a>
            </div>
        </div>
    </div>
</section>

</div>

<script>
    window.onscroll = function () {
        myFunction();
    };

    var header = document.getElementById("myHeader");
    var sticky = header.offsetTop;

    function myFunction() {
        if (window.pageYOffset > sticky) {
            header.classList.add("sticky");
        } else {
            header.classList.remove("sticky");
        }
    }
</script>

<script>
    $(document).ready(function () {
        $(".popup-gallery").magnificPopup({
            delegate: ".gallery-item a", // targets the <a> tags inside .gallery-item
            type: "image",
            removalDelay: 500,
            callbacks: {
                beforeOpen: function () {
                    this.st.image.markup = this.st.image.markup.replace("mfp-figure", "mfp-figure mfp-with-anim");
                    this.st.mainClass = this.st.el.attr("data-effect");
                },
            },
            tLoading: "Loading image #%curr%...",
            mainClass: "mfp-img-mobile",
            gallery: {
                enabled: true,
                navigateByImgClick: true,
                preload: [0, 1],
            },
            image: {
                tError: '<a href="%url%">The image #%curr%</a> could not be loaded.',
                titleSrc: function (item) {
                    return item.el.attr("title") + "<small></small>";
                },
            },
        });
    });
    
    //     $('.popup-gallery-gallery, .popup-gallery-gallery1').magnificPopup({
    //     delegate: '.gallery-item a',
    //     type: 'image',
    //     removalDelay: 500, //delay removal by X to allow out-animation
    //     callbacks: {
    //         beforeOpen: function() {
    //             // just a hack that adds mfp-anim class to markup 
    //              this.st.image.markup = this.st.image.markup.replace('mfp-figure', 'mfp-figure mfp-with-anim');
    //              this.st.mainClass = this.st.el.attr('data-effect');
    //         }
    //     },
    //     tLoading: 'Loading image #%curr%...',
    //     mainClass: 'mfp-img-mobile',
    //     gallery: {
    //         enabled: true,
    //         navigateByImgClick: true,
    //         preload: [0,1] // Will preload 0 - before current, and 1 after the current image
    //     },
    //     image: {
    //         tError: '<a href="%url%">The image #%curr%</a> could not be loaded.',
    //         titleSrc: function(item) {
    //             return item.el.attr('title') + '<small></small>';
    //         }
    //     }
    // });
</script>

    
<script>
    $(document).ready(function () {
        $(".testimonial-carousel").owlCarousel({
            loop: true,
            margin: 15,
            nav: false,
            dots: true,
            autoplay: true,
            slideTransition: "linear",
            autoplayTimeout: 15000,
            autoplaySpeed: 100,
            autoplayHoverPause: true,
            responsive: {
                0: { items: 1 },
                600: { items: 1 },
                1000: { items: 1 },
            },
        });
    });
</script>

</body>
</html>
